Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle
Enum CacheUsage

    java.lang.Object
      java.lang.Enum<CacheUsage>
          org.gradle.CacheUsage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CacheUsage>

    public enum CacheUsage

extends java.lang.Enum<CacheUsage>

`CacheUsage` specifies how compiled scripts should be cached.

Enum Constant Summary
`OFF`
`ON`
`REBUILD`

Method Summary
`static CacheUsage` | `fromString(java.lang.String usagestr)`
`static CacheUsage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CacheUsage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ON

    public static final CacheUsage ON

### REBUILD

    public static final CacheUsage REBUILD

### OFF

    public static final CacheUsage OFF

Method Detail

### values

    public static CacheUsage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CacheUsage c : CacheUsage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CacheUsage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromString

    public static CacheUsage fromString(java.lang.String usagestr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD